<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: orderby_admin.php
| CVS Version: 1.00
| Author: HobbyMan
| WebL http://www.phpnuclear.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
require_once INFUSIONS."latest_additions_panel/inc/functions.php";
include INFUSIONS."latest_additions_panel/infusion_db.php";
include INFUSIONS."latest_additions_panel/admin/inc_nav.php";

if (!checkrights("LADP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."latest_additions_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."latest_additions_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."latest_additions_panel/locale/English.php";
}

add_to_title($locale['global_200'].$locale['lap500'].$locale['lap201']);

if (isset($_POST['savesettings'])) {
	$result = dbquery("UPDATE ".DB_LATEST_ADDITIONS_SETTINGS." SET ladp_bonus='".addslash(descript($_POST['ladp_bonus']))."'");
	redirect(FUSION_SELF.$aidlink);
	}
	
	$data = dbarray(dbquery("SELECT ladp_bonus FROM ".DB_LATEST_ADDITIONS_SETTINGS));
	
	  opentable($locale['lap500'].$locale['lap201']);
  
  echo "<form name='savesettings' method='post' action='".FUSION_SELF.$aidlink."'>\n";
  echo "<table align='center' cellpadding='0' cellspacing='1' width='80%' class='tbl-border'>\n<tr>\n";
  echo "<td class='tbl2' align='right' valign='top'><b>".$locale['lap505'].":</b></td>";
  echo "<td class='tbl2' align='left'>";
  echo "<label><input type='radio' name='ladp_bonus' value='1'".($data['ladp_bonus'] == "1" ? " checked='checked'" : "")." />&nbsp;".$locale['lap205']."</label>";
  echo "&nbsp;<label><input type='radio' name='ladp_bonus' value='0'".($data['ladp_bonus'] == "0" ? " checked='checked'" : "")." />&nbsp;".$locale['lap206']."</label>";
  echo "</td>";
    if ($data['ladp_bonus'] == '1') { $traffic_light = $showgreen; } else { $traffic_light = $showred;}
  echo "</td><td class='tbl2' align='left'>".$traffic_light."</td>";
  echo "</tr>\n<tr>\n";
  echo "<td align='center' class='tbl2' colspan='3'>";
  echo "<input type='submit' name='savesettings' value='".$locale['lap600']."' class='button'>";
  echo "</td>\n</tr>\n</table>\n</form>\n";
  
  closetable();
  
  opentable($locale['lap506']);
  
include INFUSIONS."latest_additions_panel/inc/most_viewed.php";

  closetable();

hm_copyright();

require_once THEMES."templates/footer.php";
?>