<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: latest_additions_panel_admin.php
| Author: HobbyMan
| WebL http://www.phpnuclear.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
require_once INFUSIONS."latest_additions_panel/inc/functions.php";
include INFUSIONS."latest_additions_panel/infusion_db.php";
include INFUSIONS."latest_additions_panel/admin/inc_nav.php";

if (!checkrights("LADP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."latest_additions_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."latest_additions_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."latest_additions_panel/locale/English.php";
}

add_to_title($locale['global_200'].$locale['lap200'].$locale['lap201']);

if (isset($_POST['savesettings'])) {
	$result = dbquery("UPDATE ".DB_LATEST_ADDITIONS_SETTINGS." SET
	    
		ladp_onf='".addslash(descript($_POST['ladp_onf']))."',
		ladp_name='".addslash(descript($_POST['ladp_name']))."',
        ladp_limit='".addslash(descript($_POST['ladp_limit']))."',
        ladp_time='".(isNum($_POST['ladp_time']) ? $_POST['ladp_time'] : "0")."',
        ladp_char='".addslash(descript($_POST['ladp_char']))."',
        ladp_photo='".addslash(descript($_POST['ladp_photo']))."',
        ladp_photo_link='".addslash(descript($_POST['ladp_photo_link']))."',
        ladp_member='".addslash(descript($_POST['ladp_member']))."',
        ladp_member_av='".addslash(descript($_POST['ladp_member_av']))."',
        ladp_post='".addslash(descript($_POST['ladp_post']))."',
        ladp_article='".addslash(descript($_POST['ladp_article']))."',
        ladp_download='".addslash(descript($_POST['ladp_download']))."',
        ladp_comment='".addslash(descript($_POST['ladp_comment']))."',
        ladp_news='".addslash(descript($_POST['ladp_news']))."'
	");

	if (!$result) { $error = 1; }
	redirect(FUSION_SELF.$aidlink);
}

  $data = dbarray(dbquery("SELECT * FROM ".DB_LATEST_ADDITIONS_SETTINGS));
  $version = "v".$data['ladp_version']."";
  if ($data['ladp_limit'] == 0) { $data['ladp_limit'] = 1; }
  
  opentable($locale['lap200'].$locale['lap201'].$version);

  echo "<form name='savesettings' method='post' action='".FUSION_SELF.$aidlink."'>\n";
  echo "<table align='center' cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n<tr>\n";
  echo "<td class='tbl2' colspan='3' align='left'><b>".$locale['lap202']."</b><br /><br /></td>";
  
  echo "\n</tr>\n<tr>\n";

  // Display Panel
  echo "<td class='tbl2' align='right' valign='top'><b>".$locale['lap203'].":</b></td>";
  echo "<td class='tbl2' align='left'>";
  echo "<label><input type='radio' name='ladp_onf' value='1'".($data['ladp_onf'] == "1" ? " checked='checked'" : "")." />".$locale['lap205']."</label>&nbsp;\n";
  echo "<label><input type='radio' name='ladp_onf' value='0'".($data['ladp_onf'] == "0" ? " checked='checked'" : "")." />".$locale['lap206']."</label>";
  if ($data['ladp_onf'] == '1') { 
  $status = $locale['lap227']; $traffic_light = $showgreen; 
  } else { 
  $status = $locale['lap228']; $traffic_light = $showred;
  }
  echo "</td><td class='tbl2' align='left'>".$traffic_light." [".$status."]</td>";
  
  echo "\n</tr>\n<tr>\n";
  
  //Panel Name
  echo "<td class='tbl2' align='right' valign='top'><b>".$locale['lap204'].":</b></td>";
  echo "<td class='tbl2' align='left' colspan='2'>";
  echo "<input type='text' name='ladp_name' value='".$data['ladp_name']."' maxlength='20' class='textbox' style='width:140px;' />";
  echo "</td>";
  
  echo "\n</tr>\n<tr>\n";
  
  //File limit
  echo "<td class='tbl2' align='right' valign='top'><b>".$locale['lap207'].":</b></td>";
  echo "<td class='tbl2' align='left' colspan='2'>";
  echo "<input type='text' name='ladp_limit' value='".$data['ladp_limit']."' maxlength='10' class='textbox' style='width:40px;' />";
  echo "</td>";
  
  echo "\n</tr>\n<tr>\n";
 
  // Character limit 
  echo "<td class='tbl2' align='right' valign='top'><b>".$locale['lap208'].":</b></td>";
  echo "<td class='tbl2' align='left' colspan='2'>";
  echo "<input type='text' name='ladp_char' value='".$data['ladp_char']."' maxlength='10' class='textbox' style='width:40px;' />";
  echo "</td>";
  
  echo "\n</tr>\n<tr>\n";
  
  $ntime = array(
	1 => "86400",
	2 => "172800",
	3 => "604800",
	4 => "1209600",
	5 => "2592000"
);
  
  // New Addition Time 
  echo "<td class='tbl2' align='right' valign='top'><b>".$locale['lap209'].":</b></td>";
  echo "<td class='tbl2' align='left'>";
  echo "<select name='ladp_time' class='textbox'>";
  echo "<option value='".$ntime['1']."'".($data['ladp_time'] == "".$ntime['1']."" ? " selected" : "").">".$locale['lap221']."</option>";
  echo "<option value='".$ntime['2']."'".($data['ladp_time'] == "".$ntime['2']."" ? " selected" : "").">".$locale['lap222']."</option>";
  echo "<option value='".$ntime['3']."'".($data['ladp_time'] == "".$ntime['3']."" ? " selected" : "").">".$locale['lap223']."</option>";
  echo "<option value='".$ntime['4']."'".($data['ladp_time'] == "".$ntime['4']."" ? " selected" : "").">".$locale['lap224']."</option>";
  echo "<option value='".$ntime['5']."'".($data['ladp_time'] == "".$ntime['5']."" ? " selected" : "").">".$locale['lap225']."</option>";
  echo "</select>\n";
  echo "</td><td class='tbl2' align='left'><img src='".INFUSIONS."latest_additions_panel/img/new.gif' border='0' alt='' /></td>";
  
  echo "\n</tr>\n<tr>\n";
 
  // Show Photo 
  echo "<td class='tbl2' align='right' valign='top'><b>".$locale['lap210'].":</b></td>";
  echo "<td class='tbl2' align='left'>";
  echo "<label><input type='radio' name='ladp_photo' value='1'".($data['ladp_photo'] == "1" ? " checked='checked'" : "")." />&nbsp;".$locale['lap205']."</label>";
  echo "&nbsp;<label><input type='radio' name='ladp_photo' value='0'".($data['ladp_photo'] == "0" ? " checked='checked'" : "")." />&nbsp;".$locale['lap206']."</label>";
  echo "&nbsp;<label><input type='radio' name='ladp_photo' value='2'".($data['ladp_photo'] == "2" ? " checked='checked'" : "")." />&nbsp;".$locale['lap211']."</label>";
  echo "</td>";
  if ($data['ladp_photo'] != '0') { $traffic_light = $showgreen; } else { $traffic_light = $showred;}
  echo "<td class='tbl2' align='left'>".$traffic_light."</td>";
  
  echo "\n</tr>\n<tr>\n";
  
  // Show Extra Photo Links
   if ($data['ladp_photo'] == 0) { $disable = "onchange='submit();' disabled"; $data['ladp_photo_links'] = 0; $del = "<del>"; $delt = "</del>"; } else { $disable = ""; $data['ladp_photo_links'] = 1; $del = ""; $delt = ""; }
   if ($data['ladp_limit'] <= 1) { $sepl = sprintf($locale['lap212'], $data['ladp_limit']); } elseif ($data['ladp_limit'] >= 2) { $sepl = sprintf($locale['lap212'].$locale['lap101'], ($data['ladp_limit']-1)); }
  echo "<td class='tbl2' align='right'>".$del."<b>".$sepl.":</b>".$delt."</td>";
  echo "<td class='tbl2' align='left'>";
  echo "<label><input type='radio' name='ladp_photo_link' value='1'".($data['ladp_photo_link'] == "1" ? " checked='checked'" : "")." $disable  />&nbsp;".$locale['lap205']."</label>";
  echo "&nbsp;<label><input type='radio' name='ladp_photo_link' value='0'".($data['ladp_photo_link'] == "0" ? " checked='checked'" : "")."  $disable />&nbsp;".$locale['lap206']."</label></td>";
        if ($data['ladp_photo_link'] == '1' && ($data['ladp_photo'] != 0)) { $traffic_light = $showgreen; } 
    elseif ($data['ladp_photo_link'] == 0 && ($data['ladp_photo'] != 0)) { $traffic_light = $showred;} 
    else { $traffic_light = $showgrey;}
  echo "<td class='tbl2' align='left'>".$traffic_light."</td>";
  
  echo "\n</tr>\n<tr>\n";
  
  // Show Latest Member
  echo "<td class='tbl2' align='right' valign='top'><b>".$locale['lap214'].":</b></td>";
  echo "<td class='tbl2' align='left'>";
  echo "<label><input type='radio' name='ladp_member' value='1'".($data['ladp_member'] == "1" ? " checked='checked'" : "")." />&nbsp;".$locale['lap205']."</label>";
  echo "&nbsp;<label><input type='radio' name='ladp_member' value='0'".($data['ladp_member'] == "0" ? " checked='checked'" : "")." />&nbsp;".$locale['lap206']."</label>";
  echo "</td>";
      if ($data['ladp_member'] == '1') { $traffic_light = $showgreen; } else {  $traffic_light = $showred;}
  echo "<td class='tbl2' align='left'>".$traffic_light."</td>";
  
  echo "\n</tr>\n<tr>\n";
  
  // Show Latest Member Avatar
  if ($data['ladp_member'] == 0) { $disable = "onchange='submit();' disabled"; $data['ladp_member_av'] = 0; $del = "<del>"; $delt = "</del>";} else { $disable = ""; $del = ""; $delt = "";}
  echo "<td class='tbl2' align='right'>".$del."<b>".$locale['lap215'].":</b>".$delt."</td>";
  echo "<td class='tbl2' align='left'>";
  echo "<label><input type='radio' name='ladp_member_av' value='1'".($data['ladp_member_av'] == "1" ? " checked='checked'" : "")." $disable />&nbsp;".$locale['lap205']."</label>";
  echo "&nbsp;<label><input type='radio' name='ladp_member_av' value='0'".($data['ladp_member_av'] == "0" ? " checked='checked'" : "")." $disable />&nbsp;".$locale['lap206']."</label>";
  echo "</td>";
  if ($data['ladp_member_av'] != '0' && ($data['ladp_member'] != 0)) { $traffic_light = $showgreen; } 
    elseif ($data['ladp_member_av'] == '0' && ($data['ladp_member'] != 0)) { $traffic_light = $showred;} 
    else { $traffic_light = $showgrey;}
  echo "<td class='tbl2' align='left'>".$traffic_light."</td>";
  
  echo "\n</tr>\n<tr>\n";
  
  // Show Latest Forum Post
  echo "<td class='tbl2' align='right' valign='top'><b>".$locale['lap216'].":</b></td>";
  echo "<td class='tbl2' align='left'>";
  echo "<label><input type='radio' name='ladp_post' value='1'".($data['ladp_post'] == "1" ? " checked='checked'" : "")." />&nbsp;".$locale['lap205']."</label>";
  echo "&nbsp;<label><input type='radio' name='ladp_post' value='0'".($data['ladp_post'] == "0" ? " checked='checked'" : "")." />&nbsp;".$locale['lap206']."</label>";
  echo "</td>";
    if ($data['ladp_post'] == '1') { $traffic_light = $showgreen; } else {  $traffic_light = $showred;}
  echo "<td class='tbl2' align='left'>".$traffic_light."</td>";
  
  echo "\n</tr>\n<tr>\n";
  
  // Show Latest Article
  echo "<td class='tbl2' align='right' valign='top'><b>".$locale['lap217'].":</b></td>";
  echo "<td class='tbl2' align='left'>";
  echo "<label><input type='radio' name='ladp_article' value='1'".($data['ladp_article'] == "1" ? " checked='checked'" : "")." />&nbsp;".$locale['lap205']."</label>";
  echo "&nbsp;<label><input type='radio' name='ladp_article' value='0'".($data['ladp_article'] == "0" ? " checked='checked'" : "")." />&nbsp;".$locale['lap206']."</label>";
  echo "</td>";
    if ($data['ladp_article'] == '1') { $traffic_light = $showgreen; } else {  $traffic_light = $showred;}
  echo "<td class='tbl2' align='left'>".$traffic_light."</td>";

  echo "\n</tr>\n<tr>\n";
  
  // Show Latest Download
  echo "<td class='tbl2' align='right' valign='top'><b>".$locale['lap218'].":</b></td>";
  echo "<td class='tbl2' align='left'>";
  echo "<label><input type='radio' name='ladp_download' value='1'".($data['ladp_download'] == "1" ? " checked='checked'" : "")." />&nbsp;".$locale['lap205']."</label>";
  echo "&nbsp;<label><input type='radio' name='ladp_download' value='0'".($data['ladp_download'] == "0" ? " checked='checked'" : "")." />&nbsp;".$locale['lap206']."</label>";
  echo "</td>";
    if ($data['ladp_download'] == '1') { $traffic_light = $showgreen; } else {  $traffic_light = $showred;}
  echo "<td class='tbl2' align='left'>".$traffic_light."</td>";  echo "\n</tr>\n<tr>\n";
  
  // Show Latest Comment
  echo "<td class='tbl2' align='right' valign='top'><b>".$locale['lap219'].":</b></td>";
  echo "<td class='tbl2' align='left'>";
  echo "<label><input type='radio' name='ladp_comment' value='1'".($data['ladp_comment'] == "1" ? " checked='checked'" : "")." />&nbsp;".$locale['lap205']."</label>";
  echo "&nbsp;<label><input type='radio' name='ladp_comment' value='0'".($data['ladp_comment'] == "0" ? " checked='checked'" : "")." />&nbsp;".$locale['lap206']."</label>";
  echo "</td>";
    if ($data['ladp_comment'] == '1') { $traffic_light = $showgreen; } else {  $traffic_light = $showred;}
  echo "<td class='tbl2' align='left'>".$traffic_light."</td>";
  
  echo "\n</tr>\n<tr>\n";
  
  // Show Latest News Item
  echo "<td class='tbl2' align='right' valign='top'><b>".$locale['lap220'].":</b></td>";
  echo "<td class='tbl2' align='left'>";
  echo "<label><input type='radio' name='ladp_news' value='1'".($data['ladp_news'] == "1" ? " checked='checked'" : "")." />&nbsp;".$locale['lap205']."</label>";
  echo "&nbsp;<label><input type='radio' name='ladp_news' value='0'".($data['ladp_news'] == "0" ? " checked='checked'" : "")." />&nbsp;".$locale['lap206']."</label>";
  echo "</td>";
    if ($data['ladp_news'] == '1') { $traffic_light = $showgreen; } else {  $traffic_light = $showred;}
  echo "<td class='tbl2' align='left'>".$traffic_light."</td>";
  
  echo "\n</tr>\n<tr>\n";

  echo "<td colspan='3' align='center'>";
  echo "<br /><input type='submit' name='savesettings' value='".$locale['lap600']."' class='button'>";
  echo "</td>\n</tr>\n</table>\n</form>\n";
  
closetable();
hm_copyright(); $status = ""; $traffic_light = "";

require_once THEMES."templates/footer.php";
?>