<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| CVS Version: 1.3
| Author: HobbyMan
| WebL http://www.phpnuclear.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."latest_additions_panel/infusion_db.php";

if (file_exists(INFUSIONS."latest_additions_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."latest_additions_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."latest_additions_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['lap001'];
$inf_description = $locale['lap001'];
$inf_version = "1.3";
$inf_developer = "HobbyMan";
$inf_email = "";
$inf_weburl = "http://phpnuclear.com/";

$inf_folder = "latest_additions_panel";

// Delete any items not required below.
$inf_newtable[1] = DB_LATEST_ADDITIONS_SETTINGS." (
ladp_onf TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
ladp_name TEXT NOT NULL,
ladp_limit SMALLINT(5) UNSIGNED DEFAULT '0' NOT NULL,
ladp_time INT(10) UNSIGNED DEFAULT '0' NOT NULL,
ladp_char SMALLINT(5) UNSIGNED DEFAULT '0' NOT NULL,
ladp_photo TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
ladp_photo_link TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
ladp_member TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
ladp_member_av TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
ladp_post TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
ladp_article TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
ladp_download TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
ladp_comment TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
ladp_news TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
ladp_bonus TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
ladp_version VARCHAR(10) DEFAULT '' NOT NULL,
PRIMARY KEY (ladp_onf)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_LATEST_ADDITIONS_SETTINGS." (ladp_limit, ladp_name, ladp_time, ladp_char, ladp_version) VALUES('5', '".$locale['lap001']."', '86400', '18', '$inf_version')";
$inf_insertdbrow[2] = DB_PANELS." SET panel_name='".$locale['lap001']."', panel_filename='".$inf_folder."', panel_side=1, panel_order='2', panel_type='file', panel_access='0', panel_display='0', panel_status='1' ";

$inf_droptable[1] = DB_LATEST_ADDITIONS_SETTINGS;

$inf_deldbrow[1] = DB_PANELS." WHERE panel_filename='$inf_folder'";

$inf_adminpanel[1] = array(
	"title" => $locale['lap200'],
	"image" => "image.gif",
	"panel" => "admin/latest_additions_panel_admin.php",
	"rights" => "LADP"
);

?>