<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: latest_additions_panel.php
| CVS Version: 1.3
| Author: HobbyMan
| WebL http://www.phpnuclear.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."latest_additions_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."latest_additions_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."latest_additions_panel/locale/English.php";
}

include INFUSIONS."latest_additions_panel/infusion_db.php";
require_once INFUSIONS."latest_additions_panel/inc/functions.php";
$ladp_data = dbarray(dbquery("SELECT * FROM ".DB_LATEST_ADDITIONS_SETTINGS));

if ($ladp_data['ladp_onf'] == 1) {
$limit = $ladp_data['ladp_limit'];
if ($limit > '1') { $title = $locale['lap101']; } else { $title = ""; }
$newtime = $ladp_data['ladp_time'];
$linknum = $ladp_data['ladp_char'];
$panelname = $ladp_data['ladp_name'];

openside($panelname);

// Photos

   if ($ladp_data['ladp_photo'] != 0) {
   if ($ladp_data['ladp_photo'] == 2 && $limit>1) { $phlimit = '1'; } else { $phlimit = $limit; }
                         
      $result = dbquery(
		"SELECT ph.photo_id, ph.album_id, ph.photo_title, ph.photo_thumb1, ph.photo_datestamp, ph.photo_views, 
				al.album_id, al.album_access 
			FROM ".DB_PHOTOS." ph
			INNER JOIN ".DB_PHOTO_ALBUMS." al ON ph.album_id=al.album_id
			".(iSUPERADMIN ? "" : " WHERE ".groupaccess('album_access'))." 
			ORDER BY photo_datestamp DESC LIMIT 0,$phlimit");                      

	echo "<div class='side-label mvp_master_head small' style='cursor: pointer;' title='".$locale['lap102']."'><b>".$locale['lap004'].$title."</b><span style='float:right;'>".$excol."</span></div>\n";
	echo "<div class='mvp_master_body small' style='margin-bottom:3px'>\n";
	if (dbrows($result) !=0) {
		while ($data = dbarray($result)) {
		
		if ($data['photo_datestamp'] + $newtime > time() + ($settings['timeoffset'] * 3600)) { $new = "<img src='".INFUSIONS."latest_additions_panel/img/new.gif' border='0' alt='' />"; $trim  = ($linknum-2);
                } else { $new = "<img src='".THEME."images/bullet.gif' border='0' alt='' />"; $trim  = $linknum;}
     $itemdescription = trimlink($data['photo_title'], $trim);

		    echo "<center><a href='".BASEDIR."photogallery.php?photo_id=".$data['photo_id']."' title='".$data['photo_title']."' class='side'>";
		    echo "<img src='".BASEDIR."images/photoalbum/"."album_".$data['album_id']."/".$data['photo_thumb1']."' border='0' alt='' /></a></center>\n";
		    echo "<span style='float:left;'>".$new."</span>";
		    echo "&nbsp;<a href='".BASEDIR."photogallery.php?photo_id=".$data['photo_id']."' title='".$data['photo_title']."' class='side'>".$itemdescription."</a>";
		    echo "<span style='float:right;'>[".$data['photo_views']."]</span><br />\n";
		}
		  } else { echo "<center>".$locale['lap100']."</center>\n"; }

		
    if ($ladp_data['ladp_photo_link'] != 0) {
       $phlimit = ($limit-1);
       	$result = dbquery(
       	                  "SELECT ph.photo_id, ph.album_id, ph.photo_title, ph.photo_thumb1, ph.photo_datestamp, ph.photo_views, al.album_id, al.album_access 
       	                  FROM ".DB_PHOTOS." ph 
       	                  INNER JOIN ".DB_PHOTO_ALBUMS." al ON ph.album_id=al.album_id 
       	                  ".(iSUPERADMIN ? "" : " WHERE ".groupaccess('album_access'))." 
       	                  ORDER BY photo_views DESC LIMIT 0,$limit
       	                  ");
			
       	if (dbrows($result) !=0) {
		while ($data = dbarray($result)) {
		
		if ($data['photo_datestamp'] + $newtime > time() + ($settings['timeoffset'] * 3600)) { $new = "<img src='".INFUSIONS."latest_additions_panel/img/new.gif' border='0' alt='' />"; $trim  = ($linknum-2);
                } else { $new = "<img src='".THEME."images/bullet.gif' border='0' alt='' />"; $trim  = $linknum;}
     $itemdescription = trimlink($data['photo_title'], $trim);

		    echo "<span style='float:left;'>".$new."</span>";
		    echo "&nbsp;<a href='".BASEDIR."photogallery.php?photo_id=".$data['photo_id']."' title='".$data['photo_title']."' class='side'>".$itemdescription."</a>";
		    echo "<span style='float:right;'>[".$data['photo_views']."]</span><br />\n";
		}
		 } else { echo "<center>".$locale['lap100']."</center>\n"; }
		   } echo "</div>\n";
		     }

     
// User

	if ($ladp_data['ladp_member'] != 0) {
     $result = dbquery("SELECT 
                               user_id, 
                               user_name, 
                               user_avatar, 
                               user_joined, 
                               user_status 
                               FROM ".DB_USERS." 
                               WHERE user_status = '0' 
                               ORDER BY user_joined 
                               DESC LIMIT 0,$limit
                               ");
     
	if (dbrows($result) !=0) {
	echo "<div class='side-label mvp_head small' style='cursor: pointer;' title='".$locale['lap102']."'><b>".$locale['lap008'].$title."</b><span style='float:right;'>".$excol."</span></div>\n";
	echo "<div class='mvp_body small' style='margin-bottom:3px'>\n";
		while ($data = dbarray($result)) {
			
	if ($data['user_avatar'] && file_exists(IMAGES."avatars/".$data['user_avatar'])) {
	$avatar = "<img src='".IMAGES."avatars/".$data['user_avatar']."' width='100' alt='".$data['user_name']."' />"; 
	 } else { 
	$avatar = "<img src='".IMAGES."avatars/noavatar100.png' width='100' alt='".$data['user_name']."' />"; 
  }
	if ($data['user_joined'] + $newtime > time() + ($settings['timeoffset'] * 3600)) { $new = "<img src='".INFUSIONS."latest_additions_panel/img/new.gif' border='0' alt='' />"; $trim  = ($linknum+2);
       } else { $new = "<img src='".THEME."images/bullet.gif' border='0' alt='' />"; $trim  = $linknum+4; }
     $user = trimlink($data['user_name'], $trim);
     
     if ($ladp_data['ladp_member_av'] == 1) { echo "<center><a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' title='".$data['user_name']."'>".$avatar."</a></center>\n"; }
			
			echo "<span style='float:left;'>".$new."</span>";
			echo "&nbsp;".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."<br />\n";
		   } 
		  echo "</div>\n";
		} else { echo "<center>".$locale['lap100']."</center>\n"; 
      }	 
	}

// Forum Post

	if ($ladp_data['ladp_post'] != 0) {
     $result = dbquery("
	SELECT tt.forum_id, tt.thread_id, tt.thread_subject, tt.thread_views, tt.thread_lastpost FROM ".DB_THREADS." tt
	INNER JOIN ".DB_FORUMS." tf ON tt.forum_id=tf.forum_id
	".(iSUPERADMIN ? "" : " WHERE ".groupaccess('tf.forum_access'))." 
	AND tt.thread_hidden='0'
	ORDER BY thread_lastpost DESC LIMIT 0,$limit
");
     if (dbrows($result) !=0) {
	echo "<div class='side-label mvp_head small' style='cursor: pointer;' title='".$locale['lap102']."'><b>".$locale['lap009'].$title."</b><span style='float:right;'>".$excol."</span></div>\n";
	echo "<div class='mvp_body small' style='margin-bottom:3px'>\n";
		while ($data = dbarray($result)) {
			
	if ($data['thread_lastpost'] + $newtime > time() + ($settings['timeoffset'] * 3600)) { $new = "<img src='".INFUSIONS."latest_additions_panel/img/new.gif' border='0' alt='' />"; $trim  = ($linknum-2);
       } else { $new = "<img src='".THEME."images/bullet.gif' border='0' alt='' />"; $trim  = $linknum; }
        
        $itemsubject = trimlink($data['thread_subject'], $trim);
			
			echo "<span style='float:left;'>".$new."</span>";
			echo "&nbsp;<a href='".FORUM."viewthread.php?thread_id=".$data['thread_id']."' title='".$data['thread_subject']."' class='side'>$itemsubject</a>";
			echo "<span style='float:right;'>[".$data['thread_views']."]</span><br />\n";
		   } 
		   echo "</div>\n";
		 } else { echo "<center>".$locale['lap100']."</center>\n"; 
	   }
	}

// Articles

	 if ($ladp_data['ladp_article'] != 0) {
	 $result = dbquery("SELECT * FROM ".DB_ARTICLES." ta 
	 INNER JOIN ".DB_ARTICLE_CATS." tac ON ta.article_cat=tac.article_cat_id 
	 ".(iSUPERADMIN ? "" : "WHERE ".groupaccess('article_cat_access'))." 
	 AND article_draft='0' AND article_cat !='16' ORDER BY article_datestamp DESC LIMIT 0,$limit");
     
	 if (dbrows($result) !=0) {
	echo "<div class='side-label mvp_head small' style='cursor: pointer;' title='".$locale['lap102']."'><b>".$locale['lap002'].$title."</b><span style='float:right;'>".$excol."</span></div>\n";
	echo "<div class='mvp_body small' style='margin-bottom:3px'>\n";
		while ($data = dbarray($result)) {
			
	if ($data['article_datestamp'] + $newtime > time() + ($settings['timeoffset'] * 3600)) { $new = "<img src='".INFUSIONS."latest_additions_panel/img/new.gif' border='0' alt='' />"; $trim  = ($linknum-2);
       } else { $new = "<img src='".THEME."images/bullet.gif' border='0' alt='' />"; $trim  = $linknum; }
        
        $itemsubject = trimlink($data['article_subject'], $trim);
			
			echo "<span style='float:left;'>".$new."</span>";
			echo "&nbsp;<a href='".BASEDIR."articles.php?article_id=".$data['article_id']."' title='".$data['article_subject']."' class='side'>$itemsubject</a>";
			echo "<span style='float:right;'>[".$data['article_reads']."]</span><br />\n";
		      } 
		  echo "</div>\n";
		  } else { echo "<center>".$locale['lap100']."</center>\n"; 
		}
	 }

// Downloads

  if ($ladp_data['ladp_download'] != 0) {
	        
	    $result = dbquery(
       	                  "SELECT dl.download_id, dl.download_title, dl.download_cat, dl.download_datestamp, dl.download_count, 
       	                  dc.download_cat_id, dc.download_cat_access 
       	                  FROM ".DB_DOWNLOADS." dl 
       	                  INNER JOIN ".DB_DOWNLOAD_CATS." dc ON dl.download_cat=dc.download_cat_id 
       	                  ".(iSUPERADMIN ? "" : " WHERE ".groupaccess('dc.download_cat_access'))." 
       	                  ORDER BY download_datestamp DESC LIMIT 0,$limit
       	                  ");
     if (dbrows($result) !=0) {
	echo "<div class='side-label mvp_head small' style='cursor: pointer;' title='".$locale['lap102']."'><b>".$locale['lap003'].$title."</b><span style='float:right;'>".$excol."</span></div>\n";
	echo "<div class='mvp_body small' style='margin-bottom:3px'>\n";
		while ($data = dbarray($result)) {
			
	if ($data['download_datestamp'] + $newtime > time() + ($settings['timeoffset'] * 3600)) { $new = "<img src='".INFUSIONS."latest_additions_panel/img/new.gif' border='0' alt='' />"; $trim  = ($linknum-2);
       } else { $new = "<img src='".THEME."images/bullet.gif' border='0' alt='' />"; $trim  = $linknum; }
			
			echo "<span style='float:left;'>".$new."</span>";
			echo "&nbsp;<a href='".BASEDIR."downloads.php?cat_id=".$data['download_cat']."&amp;download_id=".$data['download_id']."' title='".$data['download_title']."' class='side'>".trimlink($data['download_title'], $trim)."</a>";
			echo "<span style='float:right;'>[".number_format($data['download_count'])."]</span><br />\n";
		     } 
		   echo "</div>\n";
		 } else { echo "<center>".$locale['lap100']."</center>\n"; 
	   }
     }

// Comments

 if ($ladp_data['ladp_comment'] != 0) {

   $result = dbquery("SELECT 
                             comment_id, 
                             comment_item_id, 
                             comment_type, 
                             comment_name, 
                             comment_datestamp 
                             FROM ".DB_COMMENTS." 
                             WHERE comment_hidden='0' 
                             OR comment_type = 'A' 
                             OR comment_type = 'N' 
                             OR comment_type = 'C' 
                             OR comment_type = 'P' 
                             ORDER BY comment_datestamp 
                             DESC LIMIT 0,$limit
                             ");

	 if (dbrows($result) != 0) {
	 echo "<div class='side-label mvp_head small' style='cursor: pointer;' title='".$locale['lap102']."'><b>".$locale['lap005'].$title."</b><span style='float:right;'>".$excol."</span></div>\n";
	 echo "<div class='mvp_body small' style='margin-bottom:3px'>\n";
	 while ($data = dbarray($result)) {
	 $commenter = dbarray(dbquery("SELECT user_name FROM ".DB_USERS." WHERE user_id = '".$data['comment_name']."'"));
	 if ($data['comment_type'] == 'A') { $comment_file = "articles"; $file_id = "article_id";}
	 elseif ($data['comment_type'] == 'N') {$comment_file = "news"; $file_id = "readmore"; }
	 elseif ($data['comment_type'] == 'P') {$comment_file = "photogallery"; $file_id = "photo_id"; }
	 elseif ($data['comment_type'] == 'C') {$comment_file = "viewpage"; $file_id = "page_id"; }
	 else {$comment_file = ""; }
	 if ($data['comment_datestamp'] + $newtime > time() + ($settings['timeoffset'] * 3600)) { $new = "<img src='".INFUSIONS."latest_additions_panel/img/new.gif' border='0' alt='' />"; $trim  = $linknum;
                } else { $new = "<img src='".THEME."images/bullet.gif' border='0' alt='' />"; $trim  = ($linknum+2); }
                
                echo "<span style='float:left;'>".$new."</span>";
                echo "&nbsp;<a href='".BASEDIR.$comment_file.".php?".$file_id."=".$data['comment_item_id']."' title=''>".$locale['lap010']." ".$commenter['user_name']."</a><br />\n";
           }
     echo "</div>";
           } else { echo "<center>".$locale['lap100']."</center>\n"; 
	     }
	   }

// News

  if ($ladp_data['ladp_news'] != 0) {
    $result = dbquery("SELECT * FROM ".DB_NEWS." WHERE news_draft ='0' ORDER BY news_datestamp DESC LIMIT 0,$limit");
    if (dbrows($result) != 0) {
	 echo "<div class='side-label mvp_head small' style='cursor: pointer;' title='".$locale['lap102']."'><b>".$locale['lap006'].$title."</b><span style='float:right;'>".$excol."</span></div>\n";
	 echo "<div class='mvp_body small' style='margin-bottom:3px'>\n";
	while ($data = dbarray($result)) {
	if ($data['news_datestamp'] + $newtime > time() + ($settings['timeoffset'] * 3600)) { $new = "<img src='".INFUSIONS."latest_additions_panel/img/new.gif' border='0' alt='' />"; $trim  = ($linknum-2);
                } else { $new = "<img src='".THEME."images/bullet.gif' border='0' alt='' />"; $trim  = $linknum; }
    $itemsubject = trimlink($data['news_subject'], $trim);
	echo "<span style='float:left;'>".$new."</span>";
	echo "&nbsp;<a href='".BASEDIR."news.php?readmore=".$data['news_id']."' title='".$data['news_subject']."' class='side'>$itemsubject</a>";
	echo "<span style='float:right;'>[".$data['news_reads']."]</span><br />\n";
	       }
	echo "</div>";
             } else { echo "<center>".$locale['lap100']."</center>\n"; 
		   }
         }

closeside();

   if ($ladp_data['ladp_bonus'] != 0) {
openside($locale['lap500']); 
       include INFUSIONS."latest_additions_panel/inc/mvp_include.php";
closeside(); 
        }
     }

?>